'Monday, sept. 10

'Interface to have user determine price of movie 
'by supplying age and asking whether user is 
'going to a matinee or not

Imports System.IO
'so we can find exe's directory (folder)

Public Class FrmMovies

    Dim MyLocation As String 'will hold the path/location of the program exe

    Private Sub cboMovie_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboMovie.SelectedIndexChanged
        Dim Price As Double  'Price can have a fractional part

        Dim Age As Integer

        'if user selects movie display corresponding image 
        'be careful with string comparisons they're very exacting 
        'spaces, capital letters, etc all must match
        If cboMovie.Text = "Shoot 'Em Up" Then
            picMovie.Image = Image.FromFile(MyLocation & "\Shoot.jpg")
        ElseIf cboMovie.Text = "Halloween 2007" Then
            picMovie.Image = Image.FromFile(MyLocation & "\Halloween.jpg")
        Else
            picMovie.Image = Image.FromFile(MyLocation & "\Resident.jpg")
        End If

        'try to read age from textbox
        Try
            Age = txtAge.Text
        Catch ex As Exception
            MsgBox("Please enter your age.")
            Exit Sub
        End Try

        'display selected movie
        lblMoviePrice.Text = "You have selected " & cboMovie.SelectedItem
        'the SelectedText property of the ComboBox 
        'did not work, though it seems like it should
        'the Items property is a "collection" of 
        'things and we wanted just the one chosen by the user

        If chkMatinee.Checked Then
            'MsgBox("checked")

            lblMoviePrice.Text &= vbCrLf & "You have selected a matinee."
            Price = 8.0

            'nested if 
            'If Age < 13 Then
            '    lblMoviePrice.Text &= vbCrLf & "Child."
            '    Price = 6.0
            'ElseIf Age > 64 Then
            '    lblMoviePrice.Text &= vbCrLf & "Senior."
            '    Price = 6.0
            'End If

            'version with two conditions and a Boolean OR
            If Age < 13 Or Age > 64 Then
                Price = 6
            End If

        Else
            'MsgBox("not checked")
            Price = 9.5
            If Age < 13 Or Age > 64 Then
                Price = 6
            End If
        End If
        lblMoviePrice.Text &= vbCrLf & "You owe " & Format(Price, "Currency")

    End Sub

    '********************************************
    'clear out results if user changes checkbox
    Private Sub chkMatinee_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkMatinee.CheckedChanged
        lblMoviePrice.Text = ""
    End Sub

    '********************************************
    'clear out results is user changes age
    Private Sub txtAge_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAge.TextChanged
        lblMoviePrice.Text = ""
    End Sub

    Private Sub FrmMovies_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MyLocation = Directory.GetCurrentDirectory
        MsgBox(MyLocation)
    End Sub
End Class
